Loading...
Searching...
No Matches
xccdf_profile_note Struct Reference
XCCDF

XCCDF note for given rule in context of given profile. More...

`#include <xccdf_benchmark.h>`

Collaboration diagram for xccdf_profile_note:
[legend]

## Public Member Functions

OSCAP_API struct xccdf_profile_note * | xccdf_profile_note_new (void)
OSCAP_API void | xccdf_profile_note_free (struct xccdf_profile_note *note)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
OSCAP_API const char * | xccdf_profile_note_get_reftag (const struct xccdf_profile_note *note)
OSCAP_API struct oscap_text * | xccdf_profile_note_get_text (const struct xccdf_profile_note *note)
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
OSCAP_API bool | xccdf_profile_note_set_reftag (struct xccdf_profile_note *obj, const char *newval)
OSCAP_API bool | xccdf_profile_note_set_text (struct xccdf_profile_note *obj, struct oscap_text *newval)

## Data Fields

struct oscap_text * | text
char * | reftag

## Detailed Description

XCCDF note for given rule in context of given profile.

The documentation for this struct was generated from the following files:

- item.h
- xccdf_benchmark.h